Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Bump version, changelog, gemspec.

  • Loading branch information...
commit a2889501c1458b9bda1e3d85c0d319debf2035a1 1 parent 4c878db
@AlekSi AlekSi authored
Showing with 35 additions and 40 deletions.
  1. +5 −5 CHANGELOG
  2. +1 −1  VERSION
  3. +29 −34 gelf.gemspec
View
10 CHANGELOG
@@ -1,10 +1,9 @@
-1.1.0 (not yet released), 2010-12-xx:
+1.2.0, 2010-0x-yy:
+ compatibility with GELF specification 1.0:
- * requires graylog2-server version after 0.9.XXXXXXXXXXXX or graylog2-server-twisted;
- * requires graylog2-web-interface version XXXXXXXXXXXX;
- + Notifier#default_options;
+ * requires modern graylog2-server and graylog2-web-interface;
+ + Notifier#default_options, Notifier#default_options=;
+ severity (level) threshold;
- + automatically set '_file', '_line' and '_timestamp' fields;
+ + automatically set 'file', 'line' and 'timestamp' fields;
+ wrappers for GELF::Notifier#notify with severity:
+ GELF::Notifier.debug
+ GELF::Notifier.info
@@ -19,6 +18,7 @@
+ GELF::Logger#add(GELF::FATAL) { 'Fatal error!' }
+ GELF::Logger#close
+ GELF::Logger#level = GELF::INFO
+ - deprecated Gelf class removed.
1.0.2, 2010-11-29:
1.0.1, 2010-11-29:
View
2  VERSION
@@ -1 +1 @@
-1.1.3
+1.1.99
View
63 gelf.gemspec
@@ -1,56 +1,51 @@
# Generated by jeweler
# DO NOT EDIT THIS FILE DIRECTLY
-# Instead, edit Jeweler::Tasks in Rakefile, and run the gemspec command
+# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
# -*- encoding: utf-8 -*-
Gem::Specification.new do |s|
s.name = %q{gelf}
- s.version = "1.1.3"
+ s.version = "1.1.99"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
- s.authors = ["Aleksey Palazhchenko", "Lennart Koopmann"]
- s.date = %q{2011-03-18}
+ s.authors = ["Alexey Palazhchenko", "Lennart Koopmann"]
+ s.date = %q{2011-04-28}
s.description = %q{Library to send GELF messages to Graylog2 logging server. Supports plain-text, GELF messages and exceptions.}
- s.email = %q{aleksey.palazhchenko@gmail.com}
+ s.email = %q{alexey.palazhchenko@gmail.com}
s.extra_rdoc_files = [
"LICENSE",
- "README.rdoc"
+ "README.rdoc"
]
s.files = [
- ".gitignore",
- "CHANGELOG",
- "LICENSE",
- "README.rdoc",
- "Rakefile",
- "VERSION",
- "benchmarks/notifier.rb",
- "gelf.gemspec",
- "lib/gelf.rb",
- "lib/gelf/deprecations.rb",
- "lib/gelf/em_sender.rb",
- "lib/gelf/logger.rb",
- "lib/gelf/notifier.rb",
- "lib/gelf/ruby_sender.rb",
- "lib/gelf/severity.rb",
- "test/helper.rb",
- "test/test_deprecations.rb",
- "test/test_logger.rb",
- "test/test_notifier.rb",
- "test/test_ruby_sender.rb",
- "test/test_severity.rb"
+ "CHANGELOG",
+ "LICENSE",
+ "README.rdoc",
+ "Rakefile",
+ "VERSION",
+ "benchmarks/notifier.rb",
+ "gelf.gemspec",
+ "lib/gelf.rb",
+ "lib/gelf/em_sender.rb",
+ "lib/gelf/logger.rb",
+ "lib/gelf/notifier.rb",
+ "lib/gelf/ruby_sender.rb",
+ "lib/gelf/severity.rb",
+ "test/helper.rb",
+ "test/test_logger.rb",
+ "test/test_notifier.rb",
+ "test/test_ruby_sender.rb",
+ "test/test_severity.rb"
]
s.homepage = %q{http://github.com/Graylog2/gelf-rb}
- s.rdoc_options = ["--charset=UTF-8"]
s.require_paths = ["lib"]
- s.rubygems_version = %q{1.6.1}
+ s.rubygems_version = %q{1.7.2}
s.summary = %q{Library to send GELF messages to Graylog2 logging server.}
s.test_files = [
"test/helper.rb",
- "test/test_deprecations.rb",
- "test/test_logger.rb",
- "test/test_notifier.rb",
- "test/test_ruby_sender.rb",
- "test/test_severity.rb"
+ "test/test_logger.rb",
+ "test/test_notifier.rb",
+ "test/test_ruby_sender.rb",
+ "test/test_severity.rb"
]
if s.respond_to? :specification_version then
Please sign in to comment.
Something went wrong with that request. Please try again.